<!-- main app container -->
<div class="container mt-5">
  <div class="jumbotron">
    <div class="row">
      <div class="col-md-6 offset-md-3">
        <h5 class="mb-4">Project Creation - Reactive Form with Validation</h5>
        <form [formGroup]="projectCreationForm" (ngSubmit)="onSubmit()">
          <div class="form-group">
            <label>Project Name</label>
            <input
              type="text"
              formControlName="name"
              class="form-control"
              [ngClass]="{
                'is-invalid': submitted && controls.name.errors
              }"
            />
            <div
              *ngIf="submitted && controls.name.errors"
              class="invalid-feedback"
            >
              <div *ngIf="controls.name.errors.required">
                Project Name is required
              </div>
            </div>
          </div>
          <div class="form-group">
            <label>Project Description</label>
            <textarea
              formControlName="description"
              class="form-control"
              [ngClass]="{
                'is-invalid': submitted && controls.description.errors
              }"
            >
            </textarea>
            <div
              *ngIf="submitted && controls.description.errors"
              class="invalid-feedback"
            >
              <div *ngIf="controls.description.errors.required">
                Project Description is required
              </div>
            </div>
          </div>
          <div class="form-group">
            <label>Project Type</label>
            <select
              class="custom-select"
              [ngClass]="{
                'is-invalid': submitted && controls.type.errors
              }"
              formControlName="type"
            >
              <option [ngValue]="null" disabled>Select project type</option>
              <option [ngValue]="projectTypeOptions.SCRUM">
                {{ projectTypeOptions.SCRUM }}</option
              >
              <option [ngValue]="projectTypeOptions.KANBAN">
                {{ projectTypeOptions.KANBAN }}</option
              >
            </select>
            <div
              class="invalid-feedback"
              *ngIf="submitted && controls.type.errors?.required"
            >
              <sup>*</sup>Project Type is required
            </div>
          </div>
          <div class="form-group">
            <label>Project Owner</label>
            <select
              class="custom-select"
              [ngClass]="{
                'is-invalid': submitted && controls.owner.errors
              }"
              formControlName="owner"
            >
              <option [ngValue]="null" disabled>Select project owner</option>
              <option *ngFor="let user of userOptions" [ngValue]="user.name">{{
                user.name
              }}</option>
            </select>
            <div
              class="invalid-feedback"
              *ngIf="submitted && controls.owner.errors?.required"
            >
              <sup>*</sup>Project Owner is required
            </div>
          </div>
          <div class="form-group text-right">
            <button class="btn btn-primary mt-3">Create New</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
